The Wine development release 5.11 is now available.

What's new in this release (see below for details):
  - Wine Mono engine updated to 5.1.0, with WpfGfx library support.
  - More work on the separate Unix library for NTDLL.
  - Beginnings of a NetIO kernel driver implementation.
  - Initial support for the Print Ticket API.
  - Removal of the obsolete 32-bit PowerPC architecture.
  - Various bug fixes.

The source is available from the following locations:

  https://dl.winehq.org/wine/source/5.x/wine-5.11.tar.xz
  http://mirrors.ibiblio.org/wine/source/5.x/wine-5.11.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 5.11 (total 57):

  10325  Avencast: Rise of the Mage crash on attempt to play startup video
  18762  Supreme Commander slows down to 1 frame every 60 sec
  26146  WRC FIA World Rally Championship Demo fails to start, can't play video
  26258  Light of Altair demo crashes in-game when shaders enabled (built-in d3dx9_30)
  27105  Mega Man Legends for PC crashes on startup
  28203  Warrior Kings can't play music without native quartz
  28850  Airstrike (Eagles of WWII): choppy music playback
  29320  KMPlayer 3 does not play videos
  30188  Megaman X8 freezes / fails to play intro movie
  31581  Supreme Commander (steam version) shows a black screen on start when bloom rendering enabled
  31910  anti-cheat software Battleye 1.176 expects call to KiUserExceptionDispatcher during exception handling (user mode SEH dispatcher)(Arma2, DayZ)
  35215  Age of empires II HD Steam version: no video at start
  35800  Dust An Elysian Tail (Steam) (.NET 4.0 XNA game) fails to play intro videos
  35903  CED1401 USB function driver fails to install (setupapi should use the original INF path as a default source path when copying files)
  38035  GSpot v2.70 doesn't find Cinepak codec
  38086  ArmA: Combat Operations needs d3dx9_36.dll.D3DXCreateFragmentLinker
  39669  Dishonored crashes at start with Steam Launcher
  40986  DirectX11 application fails with error message "Failed to create IDXGIFactory2"
  41101  Her Story: crash on playing video clip
  41207  DX11 Demo "AMD Ladybug" freezes on the splash screen
  41972  "Elite: Dangerous" client crashes when starting
  42053  Grand Theft Auto III fails to lauch from Steam
  43232  Test Drive 6 - track is black
  44498  Legend of Kay: Anniversary Edition does not play cutscenes (needs {48e2ed0f-98c2-4a37-bed5-166312ddd83f} CLSID_MFReadWriteClassFactory)
  44957  Kea Coloring Book crashes (needs IAudioMediaStream::GetFormat() implementation)
  45093  mpc-hc player produces no audio output
  45571  League of Legends 8.12+ fails to start a game (anticheat engine, hooking of NtCreateThread/Ex)
  45572  League of Legends 8.12+ fails to start a game (anticheat engine, hooking of NtContinue)
  45667  League of Legends 8.15+ fails due to missing implementation of NtQueryVirtualMemory(MemoryWorkingSetExInformation)
  46396  valgrind shows an invalid free in devenum/tests/devenum.c
  46955  Performance regression after 3.20 in Assetto Corsa
  48256  pwsh.exe (from Powershell-6.*) crashes after 20~50 sec: System.EntryPointNotFoundException: Unable to find an entry point named 'FreeAddrInfoEx' in DLL 'ws2_32.dll'.
  48405  Battle.Net Launcher Beta crashes with Windows version set to 10
  48716  Logos Bible Software - Printer is recognized but will not print (PTOpenProviderEx is a stub)
  48773  mimalloc needs ntdll.dll.RtlQueryEnvironmentVariable
  48779  Secret Files 3 crashes at launch (needs d3dx9_skin_info_Clone)
  49062  Dolphin EasyReader for Windows 6.04 (TTS app) crashes on startup
  49093  Relocation of 32-bit PE builtin 'ntoskrnl.exe' causes kernel driver load failures (imports fixup recursion in load_driver_module)
  49123  Multiple games crash or hang on startup since Wine 5.7
  49147  Microsoft Teams 1.3.x crashes on unimplemented function setupapi.dll.CM_Get_Device_Interface_AliasW
  49151  Wine 5.7 Multiple mono programs freeze with high CPU
  49225  FreeBSD assertion failure / memory corruption regression from not checking mmap() return value correctly
  49237  Final Fantasy XI increased speed
  49269  Wine 5.9 causes slower walk speed in Heroes of Might & Magic III
  49314  Wine segfaults with too many command-line arguments
  49322  cmudpro334 pops up errorwindow "OLE error 80004001"
  49329  critical section timeout on prefix creation
  49351  PowerShell-7.0.1-win-x64.msi fails to install
  49352  JamKazam 1.0.3744 msi installer fails at 'InstallFiles' action (incorrect handling of administrative image with compressed source files)
  49372  winedump crashes for sltg typelib files
  49375  Test Drive 6 demo crashes when starting a race
  49379  Altium Designer 20 crashes on missing d2d1.dll.D2D1CreateDevice
  49380  wine unable to load kernelbase.dll
  49387  Game "101 Ways to die" start with a black screen.
  49388  MultiSync installation crashes (msado15.dll needs IConnectionPoint::Advise)
  49391  Star Trek Armada crashes on start on Wine 5.6 but not Wine 5.5
  49407  Display device initialization fails due to vkGetRandROutputDisplayEXT() causing X exception on dual Nvidia / Intel GPU configuration (regression).

----------------------------------------------------------------

Changes since 5.10:

Aaro Altonen (3):
      include: Add ConnectionEventsVt definition.
      msado15/tests: Add tests for IConnectionPoint::Advise/Unadvise.
      msado15: Implement IConnectionPoint::Advise/Unadvise.

Akihiro Sagawa (1):
      winegstreamer: Also wait for EOS events when retrieving duration.

Alex Henrie (1):
      advapi32: Add RegEnableReflectionKey stub.

Alexandre Julliard (50):
      ntdll: Move NtRaiseException() implementation to the Unix library.
      ntdll: Implement NtContinue() in the Unix library.
      ntdll: Use NtContinue() to restore context after an exception.
      ntdll: Use NtContinue() to set the thread initial context.
      kernel32: Use a vectored exception handler to catch Ctrl-C.
      ntdll: Remove support for setting custom signal handlers.
      itss: Fix potentially uninitialized variable compiler warnings.
      mciseq: Fix potentially uninitialized variable compiler warnings.
      riched20: Fix potentially uninitialized variable compiler warnings.
      twain_32: Fix potentially uninitialized variable compiler warnings.
      kernel32/tests: Avoid some more compiler warning for HeapAlloc() invalid parameter tests.
      ntdll: Move signal handlers to the Unix library.
      ntdll: Move some more thread functions to the Unix library.
      ntdll: Move the futex-based SRW lock implementation to the Unix library.
      ntdll: Move the futex-based condition variable implementation to the Unix library.
      ntdll: Move the wait on address implementation to the Unix library.
      ntdll: Move the futex-based critical section implementation to the Unix library.
      ntdll: Avoid overflowing the command line buffer.
      ntdll: Avoid referencing security descriptor functions from the Unix library.
      ntdll: Implement NtCreateUserProcess().
      ntdll: Move Nt system time functions to the Unix library.
      ntdll: Move the creation of the initial environment to the Unix library.
      ntdll: Move the locales initialization to the Unix library.
      dmloader: Check for invalid class in EnableCache().
      ntdll: Move fork and exec support to the Unix library.
      ntdll: Load the case mapping table in the Unix library.
      ntdll: Move the directory functions to the Unix library.
      ntdll: Move a few file functions to the Unix library.
      makefiles: Also build import libs for extra test modules.
      ntdll: Move the IO completion functions to the Unix library.
      ntdll: Move the job functions to the Unix library.
      ntdll: Move the get/set file information functions to the Unix library.
      ntdll: Initialize file redirects only after the server is connected.
      setupapi: Avoid storing uninitialized data in the registry.
      ntdll: Move the NtCreateUserProcess() implementation to the Unix library.
      ntdll: Move the process information functions to the Unix library.
      ntdll: Move the file read/write functions to the Unix library.
      ntdll: Move the device I/O control functions to the Unix library.
      ntdll: Move the Unix to NT file name conversion support to the Unix library.
      ntdll: Dynamically load callback functions from the Unix library.
      ntdll: Move the current directory initialization to the Unix library.
      ntdll: Remove support for PPC32.
      ntdll: Move the remaining process functions to the Unix library.
      ntdll: Move the thread get/set information functions to the Unix library.
      ntdll: Move the WoW64 thread context functions to the Unix library.
      ntdll: Move the image address initialization to the Unix library.
      ntdll: Move the volume information functions to the Unix library.
      ntdll: Move the directory change functions to the Unix library.
      winebuild: Make the 32-bit side of a 16-bit module always a DLL.
      ntdll: Actually return an NT path in wine_unix_to_nt_file_name() for relative paths.

Alistair Leslie-Hughes (10):
      include: Add winhttp web socket defines.
      winhttp: Add WinHttpWebSocket* function stubs.
      directmanipulation: New stub dll.
      directmanipulation: Register the DirectManipulationManager and DirectManipulationSharedManager classes.
      uuid: Add directmanipulation.h.
      winhttp/tests: Add WebSocket tests.
      winhttp: Status HTTP_STATUS_SWITCH_PROTOCOLS doesn't have any content.
      directmanipulation: Create DirectManipulationManager and DirectManipulationSharedManager objects.
      directmanipulation: Implement IDirectManipulationManager2::GetUpdateManager.
      directmanipulation/tests: Initial tests.

André Hentschel (15):
      winex11.drv: Change whitelist to a more neutral word.
      winedbg: Remove support for PPC32.
      winetest: Remove support for PPC32.
      libport: Remove support for PPC32.
      dbghelp: Remove support for PPC32.
      kernel32/tests: Remove support for PPC32.
      setupapi: Remove support for PPC32.
      include: Add else cases for __cdecl.
      include: Define PCONTEXT for all architectures.
      winemenubuilder: Change blacklist to a more neutral word.
      winevulkan: Change blacklist to a more neutral word.
      krnl386.exe16: Simply clean a comment from master/slave.
      winex11.drv: Change slave to a more neutral word.
      ntdll: Change master/slave to more neutral words.
      comctl32: Clarify a comment.

Anton Baskanov (7):
      winegstreamer: Commit allocator before pausing the stream.
      quartz/filtergraph: Always try to query IMediaSeeking if it's not cached yet.
      quartz/filtergraph: Count renderers in IMediaControl::Pause and ::Run.
      quartz/filtergraph: Always sort filter list before use.
      amstream: Implement MediaStreamFilter::GetCurrentStreamTime.
      amstream: Implement IAudioStreamSample::GetSampleTimes.
      amstream: Implement AMAudioStream::NewSegment.

Brendan Shanks (5):
      kernel32/tests: Fix handle leak.
      kernel32/tests: Add RegisterWaitForSingleObject() WT_EXECUTEINWAITTHREAD tests.
      winex11.drv: Ensure output IDs are unique for mirrored displays.
      winemac.drv: Ensure output IDs are unique for mirrored displays.
      winhttp: Treat a partial certificate chain as having an unknown/invalid CA.

Damjan Jovanovic (1):
      ntdll: Interpretation of l_addr depends on FreeBSD version.

Daniel Lehman (1):
      server: Fail if non-empty directory marked for deletion.

Derek Lesho (1):
      server: Partially implement JobObjectBasicAccountingInformation.

Dmitry Timoshkov (31):
      rpcrt4/tests: Fix compilation with MS VC.
      rpcrt4/tests: Add some tests for marshalling embedded conformant arrays.
      crypt32: Store CRYPT_KEY_PROV_INFO in a platform independent way.
      prntvpt: Implement PTOpenProviderEx.
      prntvpt: Implement PTOpenProvider.
      prntvpt: Implement PTCloseProvider.
      prntvpt: Add some tests for PTOpenProvider and PTOpenProviderEx.
      prntvpt: Implement PTReleaseMemory.
      prntvpt: Implement PTConvertPrintTicketToDevMode.
      prntvpt: Add support for PageOutputColor to ticket XML reader.
      prntvpt: Add support for PageScaling to ticket XML reader.
      prntvpt: Add support for PageResolution to ticket XML reader.
      prntvpt: Add support for PageOrientation to ticket XML reader.
      prntvpt: Add support for DocumentCollate to ticket XML reader.
      prntvpt: Add support for JobInputBin to ticket XML reader.
      prntvpt: Add support for JobCopies to ticket XML reader.
      prntvpt: Add support for custom scaling to ticket XML reader.
      winedump: Fix parsing of SLTG typelib created with some old tool.
      prntvpt: Implement PTConvertDevModeToPrintTicket.
      prntvpt: Add support for PageOutputColor to ticket XML writer.
      prntvpt: Add support for PageScaling to ticket XML writer.
      prntvpt: Add support for PageResolution to ticket XML writer.
      prntvpt: Add support for PageOrientation to ticket XML writer.
      prntvpt: Add support for DocumentCollate to ticket XML writer.
      prntvpt: Add support for JobInputBin to ticket XML writer.
      prntvpt: Add support for JobCopies to ticket XML writer.
      prntvpt: Add support for custom scaling to ticket XML writer.
      prntvpt: Initialize ticket from printer defaults.
      prntvpt: Implement PTMergeAndValidatePrintTicket.
      prntvpt: Add initial implementation of PTGetPrintCapabilities.
      ieframe: Implement IPersistStorage::GetClassID().

Esme Povirk (1):
      mscoree: Update Wine Mono to 5.1.0.

Gabriel Ivăncescu (5):
      gdi32: Skip scan conversion on overflow.
      msscript.ocx: Add IScriptModuleCollection stub implementation.
      msscript.ocx: Add initial IScriptModule stub implementation.
      msscript.ocx/tests: Add initial tests for Script Modules.
      msscript.ocx: Implement IScriptModuleCollection::get_Count.

Gerald Pfeifer (2):
      ntdll: Replicate InterlockedCompareExchange64 to the Unix library.
      ntdll: Include <signal.h> where needed in the Unix library.

Gijs Vermeulen (7):
      msado15: Ignore IRunnableObject interface in recordset/connection_QueryInterface.
      msado15: Improve _Connection_Open/Close stubs.
      quartz/filtergraph: Add a stub IVideoFrameStep interface.
      d3dx9: Implement ID3DXSkinInfo_Clone().
      amstream: Get rid of the IDirectDrawStreamSampleImpl typedef.
      amstream/tests: Add IDirectDrawStreamSample::GetMediaStream() tests.
      amstream: Don't crash on NULL ddraw in IDirectDrawMediaStream::GetDirectDraw().

Hans Leidekker (2):
      msi: Fix installing from administrative image with compressed source files.
      winhttp: Implement WinHttpWebSocketCompleteUpgrade.

Henri Verbeet (3):
      wined3d: Do not explicitly check 3D depth/stencil capabilities in wined3d_check_device_format().
      wined3d: Get rid of WINED3D_QUIRK_SET_TEXCOORD_W.
      wined3d: Get rid of the special format handling in wined3d_check_depth_stencil_format().

Huw D. M. Davies (2):
      gdi32: Move the scan conversion to a helper function.
      oleaut32: Return early if there is no matching funcdesc.

Jacek Caban (29):
      winnt.h: Add BitScanForward and BitScanReverse implementation.
      ntdll: Reimplement _aulldiv using 32-bit arithmetic.
      ntdll: Reimplement _aullrem using 32-bit arithmetic.
      ntdll: Reimplement _alldiv using 32-bit arithmetic.
      ntdll: Reimplement _allrem using 32-bit arithmetic.
      ntdll: Reimplement _allmul using 32-bit arithmetic.
      ntdll/tests: Add long long builtins tests.
      ntdll: Export builtin functions as cdecl.
      mshtml: Use DISPID_UNKNOWN for compat dispids not supported in compat mode.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnCount property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnWidth property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnWidth property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnFill property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnSpan property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnRuleColor property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnRuleStyle property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnRuleWidth property semi-stub implementation.
      mshtml: Add IHTMLCSSStyleDeclaration2::columnRule property semi-stub implementation.
      mshtml: Expose IHTMLCSSStyleDeclaration2 to scripts.
      mshtml: Use proper compat mode in IHTMLWindow7::getComputedStyle.
      ntoskrnl: Use loader notification callback to perform relocations.
      mshtml: Add IHTMLCSSStyleDeclaration2::perspective implementation.
      msvcp: Use BitScanReverse in log2i.
      dwrite: Use BitScanForward instead of dwrite_ctz.
      dwrite: Use BitScanReverse instead of dwrite_log2i.
      d3dx9: Use BitScanReverse in make_pow2.
      msscript: Reimplement state property using embedded script engine state.
      msscript/tests: Add more script state tests.
      msscript: Parse script host object instead of control to parse_script_text.

Jeff Smith (10):
      kernelbase: Output message ID as hex in debug messages.
      gdiplus/tests: Test hatch brush patterns.
      gdiplus: Fix most hatch brush patterns.
      gdiplus: Fix hatch brush patterns that require anti-aliasing.
      gdiplus: Handle additional hatch styles.
      d3drm: Set light alpha to 1.0 in d3drm_light_SetColor().
      d3drm/tests: Test IDirect3DRM_CreateLight().
      d3drm: Get rid of the "partial stub" FIXMEs in the light creation functions.
      gdiplus/tests: Test that hatch fill uses rendering origin.
      gdiplus: Handle rendering origin during hatch fill.

Lauri Kenttä (1):
      po: Update Finnish translation.

Louis Lenders (2):
      pwrshplugin: New stub dll.
      ws2_32: Add FreeAddrInfoEx.

Martin Storsjo (1):
      widl: Make decl_needs_parens static.

Matteo Bruni (2):
      d3dcompiler: Print float constants with more precision.
      d3dcompiler: Check shader for NULL.

Nikolay Sivov (46):
      dwrite: Sort feature tags returned from GetTypographicFeatures().
      dwrite: Remove fixme from CreateFontFallback().
      dwrite: Implement CheckTypographicFeature().
      dwrite: Unify context lookup helpers.
      dwrite: Implement contextual positional lookups.
      dwrite: Limit recursion level for context lookups.
      dwrite: Disallow recursing to reverse chaining substitution.
      dwrite: Do not require fontface object for HasCharacter().
      dwrite: Remove unused field from fontface data structure.
      dwrite: Get rid of cmap cache.
      dwrite: Return ranges for selected cmap.
      dwrite: Implement GetVerticalGlyphVariants().
      dwrite: Silence HasVariations() fixme.
      dwrite: Fix CreateInMemoryFontFileLoader() prototype.
      dwrite: Share same cluster for bases and following diacritics in initial map.
      dwrite: Update clustermap once after all features have been applied.
      dwrite: Set initial canBreakShapingAfter flags.
      dwrite: Normalize glyph data before passing it to matching function.
      dwrite: Implement ligature substitution.
      dwrite: Implement another GetFontFamily() variant.
      ntdll: Fix a typo in security descriptor flags.
      ntdll: Use single field for misc flags in ComClass redirection section.
      ntdll: Create class section for proxy-stub interface entries.
      ole32: Remove workaround for creating objects from context proxy-stub descriptions.
      dwrite: Keep current lookup feature mask in context.
      dwrite: Remove some unused types.
      dwrite: Use single table pointer in GPOS handlers.
      dwrite: Implement mark to ligature attachment (GPOS lookup 5).
      dwrite: Use mark array helper in mark to base attachment handler.
      dwrite: Use mark array helper in mark to mark attachment handler.
      dwrite: Add missing script tags.
      dwrite: Simplify single substitution handler.
      dwrite: Simplify multiple substitution handler.
      dwrite: Simplify alternate substitution handler.
      dwrite: Simplify ligature substitution handler.
      evr/tests: Add basic creation test for default mixer object.
      evr: Add IMFTransform stub for default video mixer.
      evr: Add IMFVideoDeviceID to default mixer.
      evr: Add IMFTopologyServiceLookupClient stub for default mixer.
      d2d1: Implement D2D1CreateDevice().
      evr: Implement stream managment methods for default mixer.
      evr: Create attributes for input mixer streams.
      evr: Add IMFVideoMixerControl2 stub for the mixer.
      mf: Set clipping window attribute for EVR activator.
      mfplat: Add EVR activator attributes to tracing.
      evr/tests: Add some tests for surface samples.

Paul Gofman (29):
      ntdll: Perform fsync() in client for files and directories.
      ntoskrnl.exe/tests: Move test functions to the new utils.h header.
      include/ddk: Define MAKE_WSK_VERSION macro.
      include/ddk: Add WSK timeout constants definitions.
      ntoskrnl.exe/tests: Add initial test for netio.sys.
      netio.sys: Add WSK provider stub interface.
      netio.sys: Implement wsk_get_address_info() function.
      netio.sys: Implement wsk_free_address_info() function.
      ntoskrnl.exe/tests: Add test for wsk_get_address_info().
      include: Add CMSGHDR, PCMSGHDR defintion.
      include/ddk: Add definition for WSK socket interfaces.
      netio.sys: Implement wsk_socket() function for listen sockets.
      netio.sys: Implement wsk_close_socket() function.
      ntoskrnl/tests: Add initial test for WSK listen socket.
      wined3d: Merge _USER_MEMORY and _SYSMEM locations.
      ddraw: Update texture_memory when setting new texture parent in ddraw_surface7_Flip().
      wined3d: Set user memory separately for texture sub resources.
      ddraw/tests: Add more tests for _SetSurfaceDesc with mipmaps.
      ddraw/tests: Port _SetSurfaceDesc() tests for mipmaps and DDSD_LPSURFACE for ddraw4.
      ddraw/tests: Port _SetSurfaceDesc() tests for mipmaps and DDSD_LPSURFACE for ddraw2.
      ws2_32: Optimize interface_bind_check() by caching adapter addresses.
      netio.sys: Add stub interface for connection sockets.
      netio.sys: Implement wsk_bind() function.
      netio.sys: Implement wsk_accept() function.
      ntoskrnl/tests: Add test for WskAccept().
      winex11.drv: Handle X error from vkGetRandROutputDisplayEXT().
      netio.sys: Support multiple simultaneous async operations for socket.
      netio.sys: Implement wsk_{send|receive}().
      ntoskrnl/tests: Add test for WSK send and receive.

Piotr Caban (7):
      msvcrt: Use internal sprintf implementation.
      msvcrt: Reimplement special doubles printing.
      msvcrt: Reimplement %a printf format handling.
      ucrtbase: Add printf %a format tests.
      ucrtbase: Add more inf,nan,ind printf tests.
      vcruntime140_1: Add support for pointer to object in unwind info.
      msvcrt: Reset buffer in fflush on error.

Porot Mo (3):
      oleaut32/tests: Add tests for ITypeInfo::GetDllEntry().
      oleaut32: Match funcdesc using both memberid and invkind.
      wshom.ocx: Expand environment string before executing command through CreateProcessW.

Rémi Bernon (3):
      dinput: Stop sending WM_WINE_NOTIFY_ACTIVITY on every input.
      dinput: Use a single list for all acquired devices.
      dinput: Use dedicated list for mouse and keyboard.

Vijay Kiran Kamuju (5):
      include: Add wownt16.h.
      include: Add IMarkupServices2, IMarkupContainer2 and IMarkupPointer2 related interfaces.
      oleaut32: Merge four DWORDs into a GUID.
      oleaut32: Include the leading '\1' in the CompObj stream name.
      include: Add missing packing, structs and defines for xact3wb.h.

Zebediah Figura (38):
      ntdll: Avoid leaking "drive" on error paths from get_mountmgr_fs_info() (Valgrind).
      d3dcompiler/tests: Add a test for struct assignment.
      strmbase: Clear the debug info before calling DeleteCriticalSection (Valgrind).
      strmbase: Avoid leaking the media type on failure in IEnumMediaTypes::Next().
      quartz/tests: Avoid leaking the media type from IPin::ConnectionMediaType() (Valgrind).
      quartz: Free type libraries on process detach (Valgrind).
      qedit: Free type libraries on process detach (Valgrind).
      qasf: Free type libraries on process detach (Valgrind).
      evr: Free type libraries on process detach (Valgrind).
      strmbase: Release the allocator in IPin::Disconnect() (Valgrind).
      winegstreamer: Don't query our own source pad to convert duration.
      winegstreamer: Calculate duration independently per pin.
      winegstreamer: Try to convert the duration from bytes if the pad doesn't support querying time directly.
      setupapi: Reset the source file pointer when comparing files.
      setupapi: Store the original INF file path in a .pnf file.
      setupapi: Use the original INF source path if possible when copying files.
      d3dcompiler: Use the cached scalar type in expr_common_type() where possible.
      d3dcompiler: Cache vector types.
      d3dcompiler: Emit constructors as sequences of stores to a synthetic variable.
      d3dcompiler: Allow hlsl_ir_constant to contain only numeric types.
      d3dcompiler: Check for missing return value semantics on the entry point.
      d3dcompiler: Return an HRESULT from parse_hlsl().
      include: Correct the name of WAVEBANKMINIWAVEFORMAT.
      quartz/vmr9: Trace the arguments to IVMRWindowlessControl9::SetVideoPosition().
      quartz/vmr9: Implement IVMRWindowlessControl9::SetAspectRatioMode().
      quartz/vmr9: Get rid of VMR9_ImagePresenter_PresentOffscreenSurface().
      quartz/tests: Relax some timings.
      ntoskrnl.exe/tests: Test completion callback parameters.
      ntoskrnl.exe: Call completion callbacks with the correct device.
      quartz: Try to connect all source pins when autoplugging from the registry.
      quartz/tests: Test autoplugging order.
      quartz: Combine IGraphBuilder::Render() and IGraphBuilder::Connect() into a single helper.
      quartz: Implement IFilterGraph2::RenderEx().
      d3dcompiler/tests: Add a test for struct field semantics.
      d3dcompiler/tests: Add a couple of extra tests for struct declaration syntax.
      d3dcompiler/tests: Add a simple test for global variable initializers.
      d3dcompiler: Factor out hlsl_ir_var allocation.
      winegstreamer: Clear the "colorimetry" and "chroma-site" fields in amt_to_gst_caps_video().

Zhipeng Zhao (1):
      ole32: Deal with WM_RENDERFORMAT if the clipboard is empty.

Zhiyi Zhang (15):
      winex11.drv: Set DM_POSITION and DM_DISPLAYORIENTATION when reporting registry display settings.
      gdi32/tests: Remove tests for VidPnSourceId.
      winemac.drv: Set DM_POSITION and DM_DISPLAYORIENTATION when reporting registry display settings.
      explorer: Initialize registry display settings for all adapters.
      winex11.drv: Support multiple adapter display settings in registry.
      gdi32: Support LUID in D3DKMTOpenAdapterFromGdiDisplayName().
      user32/tests: Test changing to a 1Hz display mode.
      winex11.drv: Use the default frequency in ChangeDisplaySettingsExW() if dmDisplayFrequency is 1.
      winemac.drv: Use the default frequency in ChangeDisplaySettingsExW() if dmDisplayFrequency is 1.
      user32: Change slave to a more neutral word.
      winemac.drv: Use helpers to get and release display device init mutex.
      winemac.drv: Support multiple adapter display settings in registry.
      winex11.drv: Add a Vulkan UUID property for GPUs.
      winevulkan: Thunk vkGetPhysicalDeviceProperties2 and vkGetPhysicalDeviceProperties2KHR.
      winevulkan: Fill Vulkan device LUID property.

Ziqing Hui (8):
      windowscodecs: Initialize block data in DdsDecoder_Dds_GetFrame().
      windowscodecs/tests: Add a DXT3 test image for DDS decoder.
      windowscodecs/tests: Add more tests for DdsFrameDecode_Dds_CopyBlocks() when "boundsInBlocks" is NULL.
      windowscodecs: Implement DdsFrameDecode_Dds_CopyBlocks().
      windowscodecs/tests: Add tests for DdsFrameDecode_GetPixelFormat().
      windowscodecs/tests: Add decoder info tests for DDS decoder.
      windowscodecs: Fix MIME types of DDS decoder.
      d3dx10/tests: Add tests for D3DX10GetImageInfoFromMemory().

--
Alexandre Julliard
julliard@winehq.org
